Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Interface ShippingMethodHome

All Superinterfaces
  javax.ejb.EJBHome, Remote, SmartEJBHome, SmartHome

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface ShippingMethodHome

extends SmartEJBHome

The home interface for the ShippingMethod entity bean. Use this class to create, remove, and find ShippingMethod entity beans.

Method Summary
`ShippingMethod` | `create(ShippingMethodPk shippingMethodPk)` Deprecated See BEA Commerce product offering
`Enumeration` | `findAll()` Deprecated See BEA Commerce product offering
`ShippingMethod` | `findByPrimaryKey(ShippingMethodPk shippingMethodPk)` Deprecated See BEA Commerce product offering

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    ShippingMethod create(ShippingMethodPk shippingMethodPk)
                          throws javax.ejb.CreateException,
                                 RemoteException

  Deprecated See BEA Commerce product offering

  Create a new ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

  Throws
    `javax.ejb.CreateException`
    `RemoteException`

### findByPrimaryKey

    ShippingMethod findByPrimaryKey(ShippingMethodPk shippingMethodPk)
                                    throws RemoteException,
                                           javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Find an ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

### findAll

    Enumeration findAll()
                        throws RemoteException,
                               javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved